This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 868724

Summary: [abrt] libreoffice-core-3.5.7.2-2.fc17: osl_mapFile: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 7 (SIGBUS)
Product: [Fedora] Fedora Reporter: Chris Hubley <c_hubley>
Component: libreofficeAssignee: Stephan Bergmann <sbergman>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:95d45f10108e45fe6eb4687fab0c25d45840fb64
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-22 09:13:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: backtrace
none
File: limits
none
File: cgroup
none
File: maps
none
File: dso_list
none
File: var_log_messages
none
File: open_fds none

Description Chris Hubley 2012-10-21 20:38:57 EDT
Version-Release number of selected component:
libreoffice-core-3.5.7.2-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --splash-pipe=6
crash_function: osl_mapFile
kernel:         3.6.1-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 osl_mapFile at /usr/src/debug/libreoffice-3.5.7.2/sal/osl/unx/file.cxx:1160
: #1 initialize at /usr/src/debug/libreoffice-3.5.7.2/store/source/lockbyte.cxx:501
: #2 store::FileLockBytes_createInstance at /usr/src/debug/libreoffice-3.5.7.2/store/source/lockbyte.cxx:916
: #3 store_openFile at /usr/src/debug/libreoffice-3.5.7.2/store/source/store.cxx:164
: #4 create at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/store/store.hxx:447
: #5 ORegistry::initRegistry at /usr/src/debug/libreoffice-3.5.7.2/registry/source/regimpl.cxx:491
: #6 openRegistry at /usr/src/debug/libreoffice-3.5.7.2/registry/source/registry.cxx:173
: #7 open at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/registry/registry.hxx:1219
: #8 (anonymous namespace)::SimpleRegistry::openRdb at /usr/src/debug/libreoffice-3.5.7.2/stoc/source/simpleregistry/simpleregistry.cxx:1152
: #9 (anonymous namespace)::SimpleRegistry::open at /usr/src/debug/libreoffice-3.5.7.2/stoc/source/simpleregistry/simpleregistry.cxx:1206
Comment 1 Chris Hubley 2012-10-21 20:39:00 EDT
Created attachment 631147 [details]
File: core_backtrace
Comment 2 Chris Hubley 2012-10-21 20:39:02 EDT
Created attachment 631148 [details]
File: environ
Comment 3 Chris Hubley 2012-10-21 20:39:04 EDT
Created attachment 631149 [details]
File: backtrace
Comment 4 Chris Hubley 2012-10-21 20:39:06 EDT
Created attachment 631150 [details]
File: limits
Comment 5 Chris Hubley 2012-10-21 20:39:07 EDT
Created attachment 631151 [details]
File: cgroup
Comment 6 Chris Hubley 2012-10-21 20:39:09 EDT
Created attachment 631152 [details]
File: maps
Comment 7 Chris Hubley 2012-10-21 20:39:11 EDT
Created attachment 631153 [details]
File: dso_list
Comment 8 Chris Hubley 2012-10-21 20:39:12 EDT
Created attachment 631154 [details]
File: var_log_messages
Comment 9 Chris Hubley 2012-10-21 20:39:14 EDT
Created attachment 631155 [details]
File: open_fds
Comment 10 David Tardon 2012-10-22 03:13:15 EDT
In what circumstances did this happen? Did you start libreoffice while an update was in progress or something like that?
Comment 11 Stephan Bergmann 2012-10-22 03:39:15 EDT
(In reply to comment #10)
> In what circumstances did this happen? Did you start libreoffice while an
> update was in progress or something like that?

Yes, looks like either that or low main memory/swap space like in comment 3 to bug 804429.
Comment 12 Caolan McNamara 2012-10-22 09:00:42 EDT
caolanm->sbergman: Doesn't look like its really a fixable scenario, right ?
Comment 13 Stephan Bergmann 2012-10-22 09:13:40 EDT
(In reply to comment #12)
> caolanm->sbergman: Doesn't look like its really a fixable scenario, right ?

Not unless the reporter comes up with a reproducible scenario.  So closing for now; feel free to reopen if there is further information.